- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
Full name: projects.locations.instances.cases.caseWallRecords.queryAvailableCaseWallRecordTags
Queries all CaseActivityTags.
HTTP request
GET https://{endpoint}/v1alpha/{parent}/caseWallRecords:queryAvailableCaseWallRecordTags
Where {endpoint} is one of the supported service endpoints.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent to query tags for. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of tags to return. |
pageToken |
Optional. A page token, received from a previous |
filter |
Optional. The filter string. |
orderBy |
Optional. The order by string. |
Request body
The request body must be empty.
Response body
Response message for caseWallRecords.queryAvailableCaseWallRecordTags.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"tags": [
{
object ( |
| Fields | |
|---|---|
tags[] |
The list of case activity tags. |
nextPageToken |
Next page token. |
totalSize |
Total size. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/chronicle
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
chronicle.caseWallRecords.get
For more information, see the IAM documentation.